'use strict';

var _promise = require('babel-runtime/core-js/promise');

var _promise2 = _interopRequireDefault(_promise);

var _request = require('request');

var _request2 = _interopRequireDefault(_request);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var getDefer = function getDefer() {
  var deferred = {};
  deferred.promise = new _promise2.default(function (resolve, reject) {
    deferred.resolve = resolve;
    deferred.reject = reject;
  });
  return deferred;
};

exports.getAPI = function (url) {
  var deferred = getDefer();
  _request2.default.get(url, function (err, res) {
    if (err) {
      deferred.reject(err);
    }
    deferred.resolve(JSON.parse(res.body));
  });
  return deferred.promise;
};